> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start, pause, or abort the specified job



## OpenAPI

````yaml /api-reference/4.2/service-jobs.json post /jobs/{resource}/actions
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service jobs
servers:
  - url: /api/apollo/
security: []
tags:
  - name: jobs
paths:
  /jobs/{resource}/actions:
    post:
      tags:
        - 4.2 Jobs API
      summary: Start, pause, or abort the specified job
      operationId: controlJob
      parameters:
        - name: resource
          in: path
          description: The job ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JobActionRequest'
        description: 'One of: `start` or `abort`'
      responses:
        '200':
          description: successful operation
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/JobActionResponse'
components:
  schemas:
    JobActionRequest:
      type: object
      properties:
        action:
          type: string
          readOnly: true
          enum:
            - START
            - PAUSE
            - ABORT
        comment:
          type: string
          readOnly: true
    JobActionResponse:
      type: object
      properties:
        resource:
          type: string
          readOnly: true
        action:
          type: string
          readOnly: true
          enum:
            - START
            - PAUSE
            - ABORT
        accepted:
          type: boolean
          readOnly: true
          default: false
        message:
          type: string
          readOnly: true

````